petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESLineSearchType

String with the name of a PETSc line search method

### Synopsis

    typedef const char* SNESLineSearchType;
    #define SNESLINESEARCHBT                 "bt"
    #define SNESLINESEARCHNLEQERR            "nleqerr"
    #define SNESLINESEARCHBASIC              "basic"
    #define SNESLINESEARCHL2                 "l2"
    #define SNESLINESEARCHCP                 "cp"
    #define SNESLINESEARCHSHELL              "shell"
    #define SNESLINESEARCHNCGLINEAR          "ncglinear"

### See Also

SNESLineSearchSetType(), SNES

### Level

beginner

### Location

src/snes/../../include/petscsnes.h
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages